# frozen_string_literal: true

class Field::Base
  attr_accessor :translated, :name, :type

  def self.fetch(type)
    raise ::ArgumentError, "Unsupported type #{type}" unless supported_types.include?(type.to_sym)

    "Field::Types::#{type.classify}".constantize.new
  end

  def json_schema_format
    ''
  end

  def json_schema_type
    :string
  end

  def self.supported_types
    []
  end

  def json_schema_pattern
    ''
  end
end
